name: Build and Deploy Recipes

on:
  push:
    branches:
      - master  # Set a branch to deploy
  pull_request:

jobs:
  deploy:
    runs-on: ubuntu-22.04
    concurrency:
      group: ${{ github.workflow }}-${{ github.ref }}
    steps:
      - uses: actions/checkout@v3
        with:
          submodules: true  # Fetch Hugo themes (true OR recursive)
          fetch-depth: 0    # Fetch all history for .GitInfo and .Lastmod

      - name: Setup Hugo
        uses: peaceiris/actions-hugo@v2
        with:
          hugo-version: '0.80.0'
          # extended: true

      - name: Build
        run: hugo --minify

      - name: Deploy
        uses: appleboy/scp-action@v0.1.4
        with:
          host: 192.168.1.150
          username: ${{ secrets.RECIPIES_DEPLOY_USERNAME }}
          password: ${{ secrets.RECIPIES_DEPLOY_PASSWORD }}
          port: ${{ secrets.RECIPIES_DEPLOY_PORT }}
          source: public/*
          target: /mnt/data/websites/recipes/site/